package com.halomobi.sdk;

import android.content.Context;

import com.halomobi.common.Config;
import com.halomobi.network.request.host.RequestIpManager;
import com.halomobi.network.schedule.ThreadManager;
import com.halomobi.utils.SystemUtils;
import com.halomobi.utils.Utils;

public class HaloAdSdk {
    public static Context mContext;
    public static String mAppId;

    public static void init(Context context, String appId, String config) {
        mContext = context;
        mAppId = appId;
        Utils.init(context, config, true);
        SystemUtils.initUserAgent();
        ThreadManager.getShortPool().execute(() -> RequestIpManager.getInstance().requestIp());
    }
}
