package com.halomobi.sdk.listener;

import android.view.View;

/**
 * Created by liuzheng on 2017/1/19.
 */

public interface NativeAdListener {

    /**
     * 返回广告（主线程回调
     */
    void onAdReach(NativeResponse response, View view);

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     * @param code 错误码
     */
    void onAdError(String msg, int code);

    void onAdShow();

    void onAdClick();

    void onAdClose();
}
